Bug 88073 - FORMATTING: Drawing Object Styles lost after template update
Summary: FORMATTING: Drawing Object Styles lost after template update
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2015-01-05 22:00 UTC by Sean Carlos
Modified: 2019-12-14 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Carlos 2015-01-05 22:00:43 UTC
In a presentation accepting changes from an updated template (at file open) causes the "Drawing Object Styles" in the presentation to revert to the LO defaults, rather than those in the underlying template. This results in formating loss assuming these styles from the template were not already the LO defaults.  The separate "Presentation" Styles work as expected.  The problem is not new.

Steps to reproduce

1. Create a new presentation

2. Modify the "Default" Drawing Object Style in the slide master. (View -> Slide Master -> Master; F11 to view styles and formatting, click top left icon in  "Drawing Object Styles" pane, right click on "Default" to modify the style.  

As an example, change the font.  Change the area color.

3. Save the presentation as a new template: File -> Templates -> Save as template

4. Create, save and close a new presentation based on this template, any data will do.  Note the "Default" Drawing Object styles are inherited from the template. 

5. Edit / modify the underlying template, any change will do. Save and close.

6. Open the test presentation based on the template.  Accept the "template has been modified, update styles" prompt.  Review the "Default" drawing styles attributes.  They're no longer those of the template, they've reverted back to the LO defaults.

I've marked this as "major" in severity as this is a type of data loss. The user needs to understand why their formatting has been lost and manually redefine each impacted style, a task easier said than done.  I suspect a work around would be to import the slides into a new presentation based on the template, but that would result in the loss of comments, a bug reported awhile back.
Comment 1 Pierre C 2015-01-06 07:35:20 UTC
It this bug

https://bugs.freedesktop.org/show_bug.cgi?id=83569

the same problem ?
Comment 2 Sean Carlos 2015-01-06 10:55:57 UTC
Thanks for seeing this Pierre! Our reports are most likely the same underlying issue (style formatting problems related to applying an updated template to an existing presentation). although we describe the problem a bit differently.

I'm not exactly sure from the detail in your report which styles (standard, custom) are overwritten at what level (slide master? individual slide). I would stress (and perhaps the solution is to add these points to your report and mark this as a duplicate):

- the bug impacts the standard Drawing Object styles personalized in a template master slide

- any template change - not necessarily to a style - will cause the standard drawing object styles in dependent presentations to revert back to the LibreOffice defaults, ignoring what is defined / personalized in the template master slide - thus overwriting the Drawing Object styles the template previously provided the presentation.

In a quick test I also note that does seem that personalizations applied at the slide level (not the template nor master slide) are not changed.

I did not verify what happens to custom Drawing Object Styles which can be defined in a template.
Comment 3 Pierre C 2015-01-06 21:35:56 UTC
Hi Sean Carlos
In my tests, I found that all LO version (from 3.x) were impacted. I discover this problem, when for the first time, I tried to use impress template inherit feature. 
Did you use this feature before ?
Comment 4 Buovjaga 2015-01-15 17:11:12 UTC
(In reply to Sean Carlos from comment #0)
> 5. Edit / modify the underlying template, any change will do. Save and close.
> 
> 6. Open the test presentation based on the template.  Accept the "template
> has been modified, update styles" prompt.  Review the "Default" drawing
> styles attributes.  They're no longer those of the template, they've
> reverted back to the LO defaults.

How do you save the template? I just saved as template, chose same name, overwrote. Then when I opened my presentation, it didn't prompt to update styles and they had not changed (I changed the area color).

Also, what operating system are you using?

Change back to UNCONFIRMED after providing the information.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44
Comment 5 Sean Carlos 2015-01-15 18:24:40 UTC
OS: Linux

If you don't get the overwrite option, something is wrong - most likely the template is no longer associated with your presentation.
Comment 6 Buovjaga 2015-01-15 18:45:24 UTC
(In reply to Sean Carlos from comment #5)
> OS: Linux
> 
> If you don't get the overwrite option, something is wrong - most likely the
> template is no longer associated with your presentation.

But what Linux distro / version?

I tried on Ubuntu, but it doesn't ask to update styles either.

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55
Comment 7 Sean Carlos 2015-01-15 18:57:49 UTC
The bug is old, it can be verified using the latest LO official version, I'm using the latest LO on Fedora but I really doubt that is relevant.

If you are not seeing the templated has been updated message, then you have a different problem (you should see it) I suspect that either your presentation doesn't have an associated template or the current template location isn't the location known to the presentation.
Comment 8 Buovjaga 2015-01-15 19:25:55 UTC
(In reply to Sean Carlos from comment #7)
> If you are not seeing the templated has been updated message, then you have
> a different problem (you should see it) I suspect that either your
> presentation doesn't have an associated template or the current template
> location isn't the location known to the presentation.

Agh, it was because in 4.5 alpha there is not an edit button for templates and I was unknowingly opening a new presentation based on the template by double clicking it.
With 4.3.3 I can reproduce.
I could also repro with 3.3.0.

Ubuntu 14.10 64-bit
Version: 4.3.3.2
Build ID: 430m0(Build:2)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 9 QA Administrators 2016-01-17 20:05:10 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-03-06 14:36:26 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-12-14 03:40:58 UTC
Dear Sean Carlos,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug